<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="ISO-8859-1">
<title>Departamento</title>
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">
<link rel="stylesheet" href="https://cdn.datatables.net/1.10.23/css/dataTables.bootstrap4.min.css">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css">
<link rel="stylesheet" th:href="@{/resources/datepicker/bootstrap-datepicker.css}">
<link rel="stylesheet" th:href="@{/resources/alertifyjs/css/alertify.css}">
<link rel="stylesheet" th:href="@{/resources/alertifyjs/css/alertify.min.css}"> 
<link href='https://unpkg.com/boxicons@2.1.1/css/boxicons.min.css' rel='stylesheet'>
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.8.1/font/bootstrap-icons.css">

<style>
	.modal-header, h4, .close {
		background-color: #286090;
		color: white !important;
		text-align: center;
		font-size: 20px;
	}
	.help-block{
	 color: red;
	 /*display: none;*/
	}
	.form-group.has-error .form-control-label {
	  color: red;
	}
	.form-group.has-error .form-control {
	  border: 1px solid red;
	  box-shadow: 0 0 0 0.2rem rgba(250, 16, 0, 0.18);
	}
	
	.alertify .ajs-dialog {
	    top: 50%;
	    transform: translateY(-50%);
	    margin: auto;
	}
	
	.ajs-header{
		background-color: #286090 !important;
		color: white !important;
		/*text-align: center;*/
		font-size: 18px;
		font-weight: bold;
	}
	.ajs-ok{
		color: #fff;
	    background-color: #007bff;
	    border-color: #007bff;
	}
	.ajs-cancel{
		color: #fff;
	    background-color: #dc3545;
	    border-color: #dc3545;
	}
	.btn-primary{
	background-color: #286090 !important;
	}
	.dataTables_length, .dataTables_info{
		display: none;
	}
	.modal-lg, .modal-xl {
		max-width: 900px;
		max-height: 800px;
	}
	
	.form-control-feedback2 {
	  margin:1px;
	  position: absolute;
	  padding: 10px;
	  pointer-events: none;
	  background-color: #e9ecef;
	  border-style: none;
	}
	.form-control-feedback3 {
	  margin:1px;
	  position: absolute;
	  margin-left:225px;
	  padding: 10px;
	  pointer-events: none;
	  background-color: #e9ecef;
	  border-style: none;
	}
	.form-control {
	  padding-left: 40px!important;
	}
	/*.toast-succes{
		width: 120px;
	}*/
</style> 
</head>
<nav th:replace="/fragments/navMenu"><i class='bx bx-building-house'></i></nav>

<body>
	<div class="container">
		
			<h3 class="text-center mt-4">DEPARTAMENTOS</h3>
			
			<div class="row">
			
					<div class="form-group has-feedback col-md-3">	
														<label for="exampleInputEmail1"><b>Edificio</b></label><br>
												        <i class="bx bx-list-ul form-control-feedback2"></i>
													    <select class="form-control form-margin" name="edificio" id="idEdificioC">
													      <option value=" " >[Seleccione Edificio]</option>													     
													    </select>
												</div>
					<div class="form-group has-feedback col-md-4">	
														<label for="exampleInputEmail1"><b>Tipo de Departamento</b></label><br>
														<i class="bx bx-list-ul form-control-feedback2"></i>
													    <select class="form-control form-margin" name="tipoDepartamento" id="idTipoDepartamentoC">
													      <option value=" " >[Seleccione Tipo]</option>
													      
													    </select>
					</div>
					
					
					
	
					
									
					<div class="col-md-2">
					<label for="exampleInputEmail1"><b></b></label><br>
					<button type="button" class="btn btn-info mt-2 " id="btnFiltrar" > 
			 		<i class='bx bx-file-blank'></i> Filtrar
					</button>
					</div>
			
			</div>
			
			
			
			<div class="row">
			
			<div class="col-md-6">
			<button type="button" class="btn btn-primary mt-4" data-toggle="modal" data-target="#modalDepartamento" id="btn-nuevo"> 
			 <i class='bx bx-file-blank'></i> Nuevo Departamento
			</button>
			</div>
			
			<div class="col-md-6 text-right">
			<button type="button" class="btn btn-warning mt-4 " data-toggle="modal" data-target="#modalInactivos" id="btn-modalInactivos">
				<i class='bx bx-file-blank'></i> Inactivos</button>
			</div>
			</div>
			<div class=" mt-2">
	
				<table class="table table-striped table-bordered mt-5" id="tableDepartamento">
							  <thead style="background-color:#205cd4">
							   <tr>
					                <th>ID</th>
					                <th>NUMERO</th>
					                <th>EDIFICIO</th>
					                 
					                <th>AREA M2</th>
					                <th>TIPO</th>
					            
					                <th>ESTADO</th>
					                <th></th>
					                <th></th>
					            </tr>
							  </thead>
							  <tbody>
								<tr th:each="bean:${departamentos}">
							      <td th:text="${bean.iddepartamento}"></td>
								<td th:text="${bean.nrodepartamento}"></td>
							      <td th:text="${bean.edificio.denominacion}"></td>
							
							      <td th:text="${bean.area}"></td>
							     <td th:text="${bean.tipoDepartamento.descripcion}"></td>
						
							      <td th:text="${bean.estadoDepartamento.descripcion}"></td>
							      <td class="text-center"><a class="btn btn-info btn-editar" data-toggle="modal" data-target="#modalDepartamento"><i class='bx bx-edit'></i></a></td>
							      <td class="text-center"><a class="btn btn-danger btn-eliminar"><i class='bx bx-trash'></i></a></td>
							    </tr>  
							  </tbody>
				</table>
			</div>
		
		
			<!-- begin #modal-dialog : MODAL DEPARTAMENTO-->
			<div class="modal fade" id="modalDepartamento" data-backdrop="static" 
							data-keyboard="false" tabindex="-1" 
							aria-labelledby="exampleModalLabel" aria-hidden="true">
						<div class="modal-dialog modal-dialog-centered modal-login modal-lg" >					
							<div class="modal-content">
								<div class="modal-header bg-blue-darker">
									<h4 class="modal-title text-white">FORMULARIO: DEPARTAMENTO</h4>
								</div>
								<div class="modal-body">
									<form method="POST" id="idRegistra" th:action="@{/departamento/guardar}">	
										<input type="hidden" id="idIdDepartamento" name="idDepartamento" value="0">
										<input type="hidden" id="idEstado" name="estado" value="1">	
										<div class="container">
											<div class="row">
											
											<div class="form-group has-feedback col-md-6">	
														<label for="exampleInputEmail1"><b>Edificio</b></label><br>
												        <i class="bx bx-list-ul form-control-feedback2"></i>
													    <select class="form-control form-margin" name="edificio" id="idEdificio">
													      <option value=" " >[Seleccione Edificio]</option>													     
													    </select>
												</div>
												
												<div class="form-group has-feedback col-md-6">
														<label for="exampleInputEmail1"><b>Nº Departamento</b></label><br>		
														<i class="bx bx-pencil form-control-feedback2"></i>	
													<input type="text" class="form-control" id="idNDepartamento" placeholder="Ingrese Nº Departamento" name="nrodepartamento">																										
												</div>
												<div class="form-group has-feedback col-md-6">
														<label for="exampleInputEmail1"><b>Area m²</b></label><br>		
														<i class="bx bx-pencil form-control-feedback2"></i>	
														<input type="text" class="form-control" id="idArea" placeholder="Ingrese área" name="area">																										
												</div>
												<div class="form-group has-feedback col-md-6">	
														<label for="exampleInputEmail1"><b>Tipo de Departamento</b></label><br>
														<i class="bx bx-list-ul form-control-feedback2"></i>
													    <select class="form-control form-margin" name="tipoDepartamento" id="idTipoDepartamento">
													      <option value=" " >[Seleccione Tipo]</option>
													      
													    </select>
												</div>
												
												<div class="form-group has-feedback col-md-6">	
														<label for="exampleInputEmail1"><b>Estado</b></label><br>
												       <i class="bx bx-list-ul form-control-feedback2"></i>
													    <select class="form-control form-margin" name="estadoDepartamento" id="IdEstadoDepartamento">
													      <option value=" " >[Seleccione Estado]</option>
													      
													    </select>
												</div>
												
											
												
																															
											</div>
										</div>								
										<div class="col-md-12 text-center mt-4"> 										
											<button type="submit" id="Guardar" class="btn btn-primary"><i class="fas fa-save"></i> Registrar</button>
											<button type="button" id="btn-cerrar" class="btn btn-danger" data-dismiss="modal"><i class="fas fa-undo-alt"></i> Cancelar</button>
										</div> 																								
									</form>
								</div>
							</div>
						</div>
		</div>
		<!-- FIN Modal Departamento-->	
		
		<div class="modal" tabindex="-1" id="modalInactivos"  data-backdrop="static">
  <div class="modal-dialog modal-dialog-centered modal-xl">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">EDIFICIOS INACTIVOS</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
      	<div class="mt-4">
	<table class="table table-bordered table-striped">
	  <thead class="thead-dark">
	    <tr>
	      <th>ID</th>
					                <th>NUMERO</th>
					                <th>EDIFICIO</th>
					               				                
					                <th>TIPO</th>
					        
					                <th>ESTADO</th>
					                <th></th>
					                 <th></th>
	      
	    </tr>
	  </thead>
	  <tbody>
	    
	      <tr th:each="bean:${departamentosInactivos}">
							      <td th:text="${bean.iddepartamento}"></td>
								<td th:text="${bean.nrodepartamento}"></td>
							      <td th:text="${bean.edificio.denominacion}"></td>
							     
							     
							     <td th:text="${bean.tipoDepartamento.descripcion}"></td>
					
							      <td th:text="${bean.estadoDepartamento.descripcion}"></td>
			<td th:if="${bean.estado == 1}" class="text-center"><span class="btn btn-success">ACTIVO</span></td>
			<td th:unless="${bean.estado == 1}" class="text-center"><span class="btn btn-danger">INACTIVO</span></td>
  
			<td class="text-center"><a class="btn btn-primary btn-activar"><i class='bx bx-toggle-left'></i></a></td>
		</tr>
     
	  </tbody>
	</table>
	</div>
	
	</div>
	<!--<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script> -->
	<!-- <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>-->
	<script src="https://code.jquery.com/jquery-3.6.0.js"  integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk="  crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns" crossorigin="anonymous"></script>
	<script src="https://cdn.bootcdn.net/ajax/libs/bootstrap-validator/0.5.3/js/bootstrapValidator.js"></script>
	<script th:src="@{/resources/datepicker/bootstrap-datepicker.js}"></script>     
	<script src="https://cdn.datatables.net/1.10.23/js/jquery.dataTables.min.js"></script>
	<script src="https://cdn.datatables.net/1.10.23/js/dataTables.bootstrap4.min.js"></script>
	<!-- <script src="https://kit.fontawesome.com/08aaa156fb.js" crossorigin="anonymous"></script> -->
	<script	src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"></script>
	<!-- <script src="https://kit.fontawesome.com/08aaa156fb.js" crossorigin="anonymous"></script> -->
	<script th:src="@{/resources/alertifyjs/alertify.js}"></script>
	<script th:src="@{/resources/alertifyjs/alertify.min.js}"></script>
	
	
	

</body>





<script th:inline="javascript"  th:if="${MENSAJE!=null}">	
		let msg;
		msg =/*[[${MENSAJE}]]*/ null;
			
		toastr.success(msg, toastr.options = {
			"timeOut": "2000",
			"positionClass " : " toast-top-right ",
		});
	</script>
<script type="text/javascript">
		$.getJSON("listaPropietario", {}, function(data){
			console.log(data);
			$.each(data, function(index, item){
				$("#idPropietario").append("<option value="+item.idpropietario +">"+ item.nombres +"</option>")
			});
		});
	</script >
	
	<script type="text/javascript">
		$.getJSON("listaEstado", {}, function(data){
			console.log(data);
			$.each(data, function(index, item){
				$("#IdEstadoDepartamento").append("<option value="+item.idestado +">"+ item.descripcion +"</option>")
			});
		});
	</script >
	
	
	<script type="text/javascript">
		$.getJSON("listaTipo", {}, function(data){
			console.log(data);
			$.each(data, function(index, item){
				$("#idTipoDepartamento").append("<option value="+item.idtipo +">"+ item.descripcion +"</option>")
			});
		});
	</script >
	
	<script type="text/javascript">
		$.getJSON("listaTipo", {}, function(data){
			console.log(data);
			$.each(data, function(index, item){
				$("#idTipoDepartamentoC").append("<option value="+item.idtipo +">"+ item.descripcion +"</option>")
			});
		});
	</script >
	
	<script type="text/javascript">
		$.getJSON("listaEdificio", {}, function(data){
			console.log(data);
			$.each(data, function(index, item){
				$("#idEdificioC").append("<option value="+item.idedificio +">"+ item.denominacion +"</option>")
			});
		});
		
	</script >	
	
	
	
	<script type="text/javascript">
		$.getJSON("listaEdificio", {}, function(data){
			console.log(data);
			$.each(data, function(index, item){
				$("#idEdificio").append("<option value="+item.idedificio +">"+ item.denominacion +"</option>")
			});
		});
		
		//btn-eliminar del modal
		$(document).on("click",".btn-eliminar",function(){
			let cod;
			cod=$(this).parents("tr").find("td")[0].innerHTML;
			alertify.confirm("SISTEMA GESTION DE EDIFICIO","¿Esta seguro de eliminar?",
				function(){//SIIII
					
				},
				function(){//NOOOO
					window.location="eliminar?idDepartamento="+cod;
				}).set('labels',{ok:'Cancelar',cancel:'Eliminar'});
		})
		
		
		
		$(document).on("click",".btn-editar",function(){
			let codigo;
			codigo=$(this).parents("tr").find("td")[0].innerHTML;
			$.get("buscar?idDepartamento="+codigo,function(response){
				$("#idIdDepartamento").val(codigo);
			
				$("#idNDepartamento").val(response.nrodepartamento);
				$("#idArea").val(response.area);
		
				$("#IdEstadoDepartamento").val(response.estadoDepartamento.idestado);
				$("#idTipoDepartamento").val(response.tipoDepartamento.idtipo);
				$("#idEdificio").val(response.edificio.idedificio);
							
				
				
			})
		});
		
		//btn-cerrar del modal
		$(document).on("click","#btn-cerrar",function(){
			$('#idRegistra').trigger("reset");
			$('#idRegistra').data("bootstrapValidator").resetForm();
			$("#idIdDepartamento").val(0);		
		});
		
		
		
//click boton(btn-consultar)
	$(document).on("click", "#btnFiltrar", function () {
		let dni, sexo, estado;
		dni = $("#idDniC").val();
		sexo = $("#idSexoC").val();
		estado = 1;
		$.get("PorDNIandSexo?dni=" + dni + "&sexo=" + sexo + "&estado="+ estado, function (response) {
			$("#tableVisitante tbody").empty();
			$.each(response, function (index, item) {
				$("#tableVisitante").append("<tr><td>" + item.idvisitante + "</td></tr>");
			})
		})
	})

		
		
		$(document).on("click","#btnFiltrar",function(){
		let idEd, piso, idTip;
		idEd=$("#idEdificioC").val();
		piso=$("#idPisoC").val();
		idTip=$("#idTipoDepartamentoC").val();
		
					$.get("listaDepartamentoConParametros?idEdificio="+idEd+"&piso="+piso+"&idTipo="+idTip,function(response){
						$("#tableDepartamento tbody").empty();
						$.each(response, function(index, item){
							$("#tableDepartamento").append("<tr><td>"+item.iddepartamento+"</td><td>"+item.nrodepartamento+"</td><td>"+item.edificio.denominacion+"</td><td>"+item.area+"</td><td>"+item.tipoDepartamento.descripcion
							+"</td><td>"+item.estadoDepartamento.descripcion+"</td><td class='text-center'><a class='btn btn-info btn-editar' data-toggle='modal'data-target='#modalDepartamento'><i class='bx bx-edit'></i></a></td>"
							+"<td class='text-center'><a class='btn btn-danger btn-eliminar'><i class='bx bx-trash'></i></a></td></tr>");
							
							
					})
			})			   
					
		})
		
		
	
		




$(document).on("click",".btn-activar",function(){
		let cod, deno;
		cod=$(this).parents("tr").find("td")[0].innerHTML;
		deno=$(this).parents("tr").find("td")[1].innerHTML;
		alertify.confirm("SISTEMA GESTION DE DEPARTAMENTOS","&#191;Esta seguro de activar el Departamento &#34;"+deno+"&#34; ?",
		function(){//SIIII
			window.location="activar?idDepartamento="+cod;
		},
		function(){//NOOOO
			
		}).set('labels',{ok:'Activar',cancel:'Cancelar'});
		
		})
	</script >
	

	
	<!-- bootstrap validator  -->
	<script type="text/javascript">    
	    $(document).ready(function(){     
	        $('#idRegistra').bootstrapValidator({     
	        	feedbackIcons: {
	                valid: 'glyphicon glyphicon-ok',
	                invalid: 'glyphicon glyphicon-remove',
	                validating: 'glyphicon glyphicon-refresh'
	            },
	        	 fields:{	        		 
 
	               	 
	                Departamaneto: {
	     	    		selector:'#idNDepartamento',      
	                    validators: {    
	                        notEmpty: {    
	                            message: 'Ingrese el Numero de departamento'    
	                        },
	                        regexp: {    
	                            regexp: /^[0-9]{1,3}(\.[0-9]{0,3})?$/,    
	                            message: 'Ingrese numero de departamento aceptado'    
	                        }   
	                    }    
	                }, 	
	                
	                Area: {
	     	    		selector:'#idArea',      
	                    validators: {    
	                        notEmpty: {    
	                            message: 'Ingrese el area en Metros Cuadrados'    
	                        },
	                        regexp: {    
	                            regexp: /^\d{1,3}([\,\.]\d{1,2})?$/,    
	                            message: 'Ingrese el area en entre 1 o 4 digitos disponibles'    
	                        }   
	                    }    
	                }, 			
	                edificio: {
	     	    		selector:'#idEdificio',   
	                    validators: {    
	                        notEmpty: {    
	                            message: 'Seleccione un edificio'    
	                        }					
	                    }    
	                }, 
	                TipoDepartamento: {
	     	    		selector:'#idTipoDepartamento',   
	                    validators: {    
	                        notEmpty: {    
	                            message: 'Seleccione un TipoDepartamento'    
	                        }					
	                    }    
	                }, 
	                Estado: {
	     	    		selector:'#IdEstadoDepartamento',   
	                    validators: {    
	                        notEmpty: {    
	                            message: 'Seleccione un Estado'    
	                        }					
	                    }    
	                }
	        	 }
	        	 
	        });   				
	    });    
	</script>   
</html>